// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4


BorderImage {
    id: root

    property QtObject menuModel
    property string heading

    signal scrub(int new_time)

    width: 500 * main.screenScaleX

    source: "../" + main.graphicsPath + "205/IPOD_Window.png"
    border.bottom: 50 * main.screenScaleY
    border.top: 50 * main.screenScaleY
    border.right: 50 * main.screenScaleX
    border.left: 50 * main.screenScaleX



    Text {
        id: now_playing_title
        text: qsTr(heading)
        anchors.top: parent.top
        anchors.topMargin: 20 * main.screenScaleY
        anchors.left: parent.left
        anchors.leftMargin: 20 * main.screenScaleX
        font.bold: true
        font.pixelSize: 24 * main.screenScaleY
    }

    ListView {
        id: channelList

        anchors.fill: parent
//        anchors.top: parent.bottom
//        anchors.left: parent.left
//        anchors.right: parent.right
//        anchors.bottom: clearButton.top
        clip: true

        visible: true
        model: root.menuModel
        delegate: Component {
            Text { text: timestamp + " : " + mileage + " : " + "[ "+errornumber+" ] "+errordescription }
        }

    }


}
