#!/bin/bash
#set -x

## This script will be called when an urecoverable error has beent detected,
# such as when a TV/USB error is unrecoverable.
#  Some loogging will be performend and then a reboot will be issued.


LOG_ONLY="false"


LOG_FILE="/data/logs/tv_stats.log"

echo "| $(date "+%D %T:%3N %Z|%s|") Reboot script started" >> $LOG_FILE
if [[ $LOG_ONLY = false ]]; then
  logger "TV error: starting reboot now...."
  echo "| $(date "+%D %T:%3N %Z|%s|") Reboot " >> $LOG_FILE
  sudo reboot
else
  echo "| $(date "+%D %T:%3N %Z|%s|") Reboot is logged only " >> $LOG_FILE
fi
