#!/bin/sh -x


# find path to executable, which varies depending if we are in production or running through Qt Creator

case "$PWD" in
  "/usr/lib/truefitness/truetouch")
  cd ../truetouch-browser || exit 1
  ;;
  "/usr/local/bin/truetouch")
  cd ../truetouch-browser || exit 1
  ;;
  *"/veracity/"*"build"*"Release"*)
  cd ../build*WebBrowser*Release* || exit 1
  ;;
  *"/veracity/"*"build"*"Debug"*)
  cd ../build*WebBrowser*Debug* || exit 1
  ;;
  *"/Veracity/"*"build"*"Release"*)
  cd ../build*WebBrowser*Release* || exit 1
  ;;
  *"/Veracity/"*"build"*"Debug"*)
  cd ../build*WebBrowser*Debug* || exit 1
  ;;
esac

echo "Starting browser from $PWD"
exec ./WebBrowser "$@"
