#!/bin/sh
BT_USER=pulse
PRT=/var/run/pulse

sudo chmod 755 "$PRT"

# first argument is 0 or 1, to unmute or mute respectively
index=$( PULSE_RUNTIME_PATH=$PRT sudo -u $BT_USER -E pactl list sink-inputs | egrep "Sink Input|application\.name" | grep -B1 "LibVLC" | grep "Sink Input" | sed 's/.*Sink Input #//')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for LibVLC found"
  exit 1
fi
echo "vlcmute.sh: Muting $index $1"
PULSE_RUNTIME_PATH=$PRT sudo -u $BT_USER -E pactl set-sink-input-mute $index $1
sudo chmod 755 "$PRT"


